apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: galaxy12-book-store-api
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: galaxy12-book-store-api
    spec:
      containers:
        - name: galaxy12-book-store-api
          image: registry.gitlab.com/vishwajeet.kumar/galaxy12
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
      imagePullSecrets:
        - name: galaxy12-book-store-api
---
apiVersion: v1
kind: Service
metadata:
  name: galaxy12-book-store-service
  labels:
    app: galaxy12-book-store-api
spec:
  ports:
    - port: 80
      targetPort: 8080
  selector:
    app: galaxy12-book-store-api
  type: LoadBalancer
